gi-pango-1.0.19: Pango bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Pango.Structs.GlyphInfo

Contents

- Exported types
- Properties
  - attr
  - geometry
  - glyph

Description

The `GlyphInfo` structure represents a single glyph together with positioning information and visual attributes. It contains the following fields.

Synopsis

- newtype GlyphInfo = GlyphInfo (ManagedPtr GlyphInfo)
- newZeroGlyphInfo :: MonadIO m => m GlyphInfo
- noGlyphInfo :: Maybe GlyphInfo
- getGlyphInfoAttr :: MonadIO m => GlyphInfo -> m GlyphVisAttr
- getGlyphInfoGeometry :: MonadIO m => GlyphInfo -> m GlyphGeometry
- getGlyphInfoGlyph :: MonadIO m => GlyphInfo -> m Word32
- setGlyphInfoGlyph :: MonadIO m => GlyphInfo -> Word32 -> m ()

# Exported types

newtype GlyphInfo Source #

Memory-managed wrapper type.

Constructors

GlyphInfo (ManagedPtr GlyphInfo) |

Instances

WrappedPtr GlyphInfo Source # |
Instance details Defined in GI.Pango.Structs.GlyphInfo Methods wrappedPtrCalloc :: IO (Ptr GlyphInfo) Source # wrappedPtrCopy :: GlyphInfo -> IO GlyphInfo Source # wrappedPtrFree :: Maybe (FunPtr (Ptr GlyphInfo -> IO ())) Source #
tag ~ AttrSet => Constructible GlyphInfo tag Source # |
Instance details Defined in GI.Pango.Structs.GlyphInfo Methods new :: MonadIO m => (ManagedPtr GlyphInfo -> GlyphInfo) -> [AttrOp GlyphInfo tag] -> m GlyphInfo Source #

newZeroGlyphInfo :: MonadIO m => m GlyphInfo Source #

Construct a `GlyphInfo` struct initialized to zero.

noGlyphInfo :: Maybe GlyphInfo Source #

A convenience alias for `Nothing` :: `Maybe` `GlyphInfo`.

# Properties

## attr

the visual attributes of the glyph.

getGlyphInfoAttr :: MonadIO m => GlyphInfo -> m GlyphVisAttr Source #

Get the value of the “`attr`” field. When overloading is enabled, this is equivalent to

    get glyphInfo #attr

## geometry

the positional information about the glyph.

getGlyphInfoGeometry :: MonadIO m => GlyphInfo -> m GlyphGeometry Source #

Get the value of the “`geometry`” field. When overloading is enabled, this is equivalent to

    get glyphInfo #geometry

## glyph

the glyph itself.

getGlyphInfoGlyph :: MonadIO m => GlyphInfo -> m Word32 Source #

Get the value of the “`glyph`” field. When overloading is enabled, this is equivalent to

    get glyphInfo #glyph

setGlyphInfoGlyph :: MonadIO m => GlyphInfo -> Word32 -> m () Source #

Set the value of the “`glyph`” field. When overloading is enabled, this is equivalent to

    set glyphInfo [ #glyph := value ]